"""
Copyright 2001-2002 Andrew Jones

This file is part of Pyzzle.

    Pyzzle is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Pyzzle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Pyzzle; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


"""
import os

current_slide_path = os.path.join('pyzzledata')
current_text_path = os.path.join('pyzzledata','text')
current_object_path = os.path.join('pyzzledata')
current_cursor_path = os.path.join('pyzzledata', 'cursors')
current_sound_path = os.path.join('pyzzledata')
current_image_path = os.path.join('pyzzledata')
current_movie_path = os.path.join('pyzzledata')

def setSlidePath(path):
    global current_slide_path
    current_slide_path = path

def getSlidePath():
    global current_slide_path
    return current_slide_path

def setTextPath(path):
    global current_text_path
    current_text_path = path

def getTextPath():
    global current_text_path
    return current_text_path

def setObjectPath(path):
    global current_object_path
    current_object_path = path

def getObjectPath():
    global current_object_path
    return current_object_path

def setSoundPath(path):
    global current_sound_path
    current_sound_path = path

def getSoundPath():
    global current_sound_path
    return current_sound_path
    
def setImagePath(path):
    global current_image_path
    current_image_path = path

def getImagePath():
    global current_image_path
    return current_image_path

def setMoviePath(path):
    global current_movie_path
    current_movie_path = path

def getMoviePath():
    global current_movie_path
    return current_movie_path
